解决IDEA报错:Lambda expressions not supported at language level '7'

这是因为项目选择的Java版本不是Java8,自然不支持Java8的Lambda 表达式

选择FileProject StructureProject, 修改Level 到8 - Lambdas, type annotations etc.
在这里插入图片描述
如果没有解决问题,那么把Modules中也改为java 8
在这里插入图片描述

如果还没有解决问题,
File --> Settings -->Build, Execution, Deployment Compiler --> Java Compiler,更改版本为Java 8:
在这里插入图片描述

©️2020 CSDN 皮肤主题: 编程工作室 设计师:CSDN官方博客 返回首页